Nimply Developers
API ReferenceWebhooks

Update a webhook

PATCH
/v1/webhooks/{id}

Change name, url, subscribed events, or enable/disable deliveries.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string

Webhook id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "123e4567-e89b-12d3-a456-426614174000",  "name": "Zapier trigger",  "url": "https://example.com/hooks/nimply",  "secret": "whsec_...",  "events": [    "post.published",    "post.failed"  ],  "isActive": true,  "failureCount": 0,  "lastSuccessAt": {},  "lastFailureAt": {},  "createdAt": "2019-08-24T14:15:22Z"}